DataLimits.Kind (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.filter

## Enum DataLimits.Kind

- java.lang.Object
- - java.lang.Enum<DataLimits.Kind>
  - - org.apache.cassandra.db.filter.DataLimits.Kind

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DataLimits.Kind>
  Enclosing class:
    DataLimits

      public static enum DataLimits.Kind
      extends java.lang.Enum<DataLimits.Kind>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CQL_GROUP_BY_LIMIT`
    `CQL_GROUP_BY_PAGING_LIMIT`
    `CQL_LIMIT`
    `CQL_PAGING_LIMIT`
    `SUPER_COLUMN_COUNTING_LIMIT`
    `THRIFT_LIMIT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataLimits.Kind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DataLimits.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CQL_LIMIT

          public static final DataLimits.Kind CQL_LIMIT

    - #### CQL_PAGING_LIMIT

          public static final DataLimits.Kind CQL_PAGING_LIMIT

    - #### THRIFT_LIMIT

          public static final DataLimits.Kind THRIFT_LIMIT

    - #### SUPER_COLUMN_COUNTING_LIMIT

          public static final DataLimits.Kind SUPER_COLUMN_COUNTING_LIMIT

    - #### CQL_GROUP_BY_LIMIT

          public static final DataLimits.Kind CQL_GROUP_BY_LIMIT

    - #### CQL_GROUP_BY_PAGING_LIMIT

          public static final DataLimits.Kind CQL_GROUP_BY_PAGING_LIMIT

  - ### Method Detail

    - #### values

          public static DataLimits.Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataLimits.Kind c : DataLimits.Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataLimits.Kind valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation